Package org.apache.aries.jax.rs.rest.management.internal.map

## Class CaseInsensitiveMap<T>

- java.lang.Object
- - java.util.AbstractMap<String,​T>
  - - org.apache.aries.jax.rs.rest.management.internal.map.CaseInsensitiveMap<T>

All Implemented Interfaces:
  `Map<String,​T>`

    public class CaseInsensitiveMap<T>
    extends AbstractMap<String,​T>

This Map is used for case-insensitive key lookup during filter evaluation. This Map implementation only supports the get operation using a String key as no other operations are used by the Filter implementation.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,​V extends Object>`

### Constructor Summary

Constructors
`CaseInsensitiveMap​(Dictionary<String,​T> dictionary)` Create a case insensitive map from the specified dictionary.
`CaseInsensitiveMap​(Map<String,​T> properties)` Create a case insensitive map from the specified map.

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Map.Entry<String,​T>>` `entrySet()`
`T` `get​(Object o)`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### CaseInsensitiveMap

    public CaseInsensitiveMap​(Dictionary<String,​T> dictionary)

Create a case insensitive map from the specified dictionary.

Parameters:
  `dictionary` -
Throws:
  `IllegalArgumentException` - If `dictionary` contains case variants of the same key name.

#### CaseInsensitiveMap

    public CaseInsensitiveMap​(Map<String,​T> properties)

Create a case insensitive map from the specified map.

Parameters:
  `properties` -
Throws:
  `IllegalArgumentException` - If `dictionary` contains case variants of the same key name.

### Method Detail

#### get

    public T get​(Object o)

Specified by:
  `get` in interface `Map<String,​T>`
Overrides:
  `get` in class `AbstractMap<String,​T>`

#### entrySet

    public Set<Map.Entry<String,​T>> entrySet()

Specified by:
  `entrySet` in interface `Map<String,​T>`
Specified by:
  `entrySet` in class `AbstractMap<String,​T>`